--Copyright (c) 2010 Sakarias Johansson
AddCSLuaFile("cl_init.lua")
AddCSLuaFile("shared.lua")
include('shared.lua')

--[[
//Models
resource.AddFile( "models/tiggomods/vehicles/ferrarif50.mdl" )
resource.AddFile( "models/tiggomods/vehicles/ferrarif50wheel.mdl" )

//Materials
resource.AddFile( "materials/VGUI/entities/sent_Sakarias_Car_ferrarif50.vtf" )
resource.AddFile( "materials/VGUI/entities/sent_Sakarias_Car_ferrarif50.vmt" )

resource.AddFile( "materials/models/tiggomods/vehicles/0000.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/0000.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/0000a.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/0000a.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/0000b.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/0000b.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/0002.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/0002.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/door.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/door.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/idk.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/idk.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/idkup.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/idkup.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/red.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/red.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/seat.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/seat.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/vlcmt.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/vlcmt.vmt" )
resource.AddFile( "materials/models/tiggomods/vehicles/vlt.vtf" )
resource.AddFile( "materials/models/tiggomods/vehicles/vlt.vmt" )
]]--

ENT.NrOfSeats = 2
ENT.NrOfExhausts = 2

ENT.SeatPos1 = NULL
ENT.SeatPos2 = NULL
ENT.SeatPos3 = NULL
ENT.SeatPos4 = NULL
ENT.SeatPos5 = NULL
ENT.FLwheelPos = NULL

ENT.FRwheelPos = NULL
ENT.RLwheelPos = NULL	
ENT.RRwheelPos = NULL

ENT.effectPos = NULL
ENT.exhaustPos = NULL
ENT.exhaustPos2 = NULL

ENT.DefaultSoftnesFront = 15
ENT.DefaultSoftnesRear = 15
ENT.CarMass = 500
ENT.StabiliserOffset = NULL
ENT.StabilisationMultiplier = 70 --70 is default

ENT.DefaultSound = "vehicles/APC/apc_cruise_loop3.wav"
ENT.CarModel = "models/tiggomods/vehicles/ferrarif50.mdl"
ENT.TireModel = "models/tiggomods/vehicles/ferrarif50wheel.mdl"
ENT.SeatModel = "models/nova/airboat_seat.mdl"

------------------------------------VARIABLES END

function ENT:Initialize()

	local xPos = 0
	local yPos = 0
	local zPos = 0

	//SEAT POSITIONS
	--Seat Position 1 (Driver seat)
	xPos = 17
	yPos = -22
	zPos = -18.5
	self.SeatPos1 = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )
	
	--Seat Position 2 (Right front seat)
	xPos = 17
	yPos = 24
	zPos = -18.5	
	self.SeatPos2 = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )



	//WHEEL POSITIONS
	--Front Left wheel
	xPos = 87
	yPos = -50
	zPos = -20	
	self.FLwheelPos = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )

	--Front Right wheel
	xPos = 87
	yPos = 50
	zPos = -20		
	self.FRwheelPos = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )

	--Rear Left wheel
	xPos = -67
	yPos = -50
	zPos = -20	
	self.RLwheelPos = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )	
	
	--Rear Left wheel
	xPos = -67
	yPos = 50
	zPos = -20	
	self.RRwheelPos =  ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )	
	


	
	//LIGHT POSITIONS	
	--Front Left light
	xPos = 120
	yPos = 40
	zPos = -5	
	self.FLlightPos  = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )

	--Front Right light
	xPos = 120	
	yPos = -40
	zPos = -5	
	self.FRlightPos  = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )

	--Rear Left light
	xPos = -107
	yPos = 45
	zPos = 5	
	self.RLlightPos  = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )

	--Rear Right light
	xPos = -107
	yPos = -45
	zPos = 5
	self.RRlightPos  =  ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )



	
	--The position where the fire and smoke effects will be placed when the car is damaged
	xPos = 90	
	yPos = 0
	zPos = 10
	self.effectPos = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )
	

	--The position of the exhaust
	xPos = -105
	yPos = -40
	zPos = -17		
	self.exhaustPos = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )
	
	xPos = -105
	yPos = 40
	zPos = -17			
	self.exhaustPos2 = ( self.Entity:GetForward() * xPos ) + ( self.Entity:GetRight() * yPos ) + ( self.Entity:GetUp() * zPos )
	
	//SUSPENSION
	--The higher the number is the harder the suspension will be
	--Recommend not to change these numbers
	self.DefaultSoftnesFront = 20
	self.DefaultSoftnesRear = 25	
	
	
	--Setting up the SCar in the SCar base
	self:Setup()	
end

function ENT:SpecialThink()
end

function ENT:SpecialRemove()	
end

function ENT:SpecialReposition()
end

